/******************************************************************************/
/*   Copyright (C) 2006 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
/******************************************************************************/
#include <stdio.h>
#include <math.h>
/******************************************************************************/
#define PRE_AMB_SIZE 64                    /* Length of preamble in symbols. */
#define MIN_SNR 0.0
#define MAX_SNR 10.5
#define STEP 0.5
/******************************************************************************/
double Snr_bit;
double Snr_bit_db;
FILE *fp;
/******************************************************************************/
main()
{
 Open_Files();
 for(Snr_bit_db=MIN_SNR;Snr_bit_db<MAX_SNR;Snr_bit_db=Snr_bit_db+STEP)
 {
  Snr_bit=pow(10.0,0.1*Snr_bit_db);
  fprintf(fp,"%lf %16.12lf\n",Snr_bit_db,0.25/((double)PRE_AMB_SIZE*Snr_bit));
 }
 return(0);
}
/******************************************************************************/
/*                           Open files for writing.
*******************************************************************************/
int Open_Files()
{
 if(PRE_AMB_SIZE == 128)
  fp=fopen("deal1data/p_crb_128.dat","w");
 else
  fp=fopen("deal1data/p_crb_64.dat","w");
 if(fp == NULL)
 {
  printf("Directory does not exist.\n\n");
  exit(-1);
 }
 return(0);
}
/******************************************************************************/
