/******************************************************************************/
/*   Copyright (C) 2006 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
/******************************************************************************/
#include <stdio.h>
#include <math.h>
/******************************************************************************/
#define MIN_SNR 0.0
#define MAX_SNR 10.5
#define STEP 0.5
/******************************************************************************/
double Snr_bit;
double Snr_bit_db;
FILE *fp;
/******************************************************************************/
main()
{
 fp=fopen("deal1data/qpsk_theory.dat","w");
 if(fp == NULL)
 {
  printf("Directory does not exist.\n\n");
  exit(-1);
 }
 for(Snr_bit_db=MIN_SNR;Snr_bit_db<MAX_SNR;Snr_bit_db=Snr_bit_db+STEP)
 {
  Snr_bit=pow(10.0,0.1*Snr_bit_db);
  fprintf(fp,"%lf %16.10lf\n",Snr_bit_db,0.5*erfc(sqrt(Snr_bit)));
 }
 return(0);
}
/******************************************************************************/
