#*******************************************************************************
#    Copyright (C) 2008 K. Vasudevan. Indian Institute of Technology Kanpur.
#    All Rights Reserved.
#*******************************************************************************
# Plot of the timing acquisition. Plot given from t=0 to 3*MAX_TIM.
# Eb/N0=1 dB.
#*******************************************************************************
#*******************************************************************************
# Gnuplot file. To plot the graph run gnuplot and at the gnuplot prompt
# type: load "tim_64.gp"<RETURN>
# If you want the output on the screen, comment the following two lines:
# set term postscript eps color 22
# set output "tim_64.eps"
# Comment lines begin with a #.
# For help on gnuplot, run gnuplot and type the following at the gnuplot
# prompt: help
#*******************************************************************************
set term postscript eps enhanced color 22
set nokey
#set format y "%2.1e"
set output "tim_SNR1.eps"
#set logscale y
# To draw a line at x=sqrt(log(16.0))
#set arrow from sqrt(log(16.0)), graph 0 to sqrt(log(16.0)), graph 1 nohead
#set xlabel "Time"
#set ylabel "Amplitude"
plot "tim_SNR1.dat" t "Output samples" w lines lt -1
